ServiceConstructionException (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.service.factory, class: ServiceConstructionException

Package org.apache.cxf.service.factory

# Class ServiceConstructionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.cxf.common.i18n.UncheckedException
org.apache.cxf.service.factory.ServiceConstructionException

All Implemented Interfaces:
  `Serializable`

public class ServiceConstructionException extends UncheckedException

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.common.i18n.UncheckedException

  `message`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceConstructionException(String msg, Logger log)`
  `ServiceConstructionException(String msg, Logger log, Throwable cause)`
  `ServiceConstructionException(Throwable cause)`
  `ServiceConstructionException(Message msg)`
  `ServiceConstructionException(Message msg, Throwable t)`

- ## Method Summary

  ### Methods inherited from class org.apache.cxf.common.i18n.UncheckedException

  `getCode, getMessage`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceConstructionException

    public ServiceConstructionException(Message msg, Throwable t)

  - ### ServiceConstructionException

    public ServiceConstructionException(Message msg)

  - ### ServiceConstructionException

    public ServiceConstructionException(Throwable cause)

  - ### ServiceConstructionException

    public ServiceConstructionException(String msg, Logger log)

  - ### ServiceConstructionException

    public ServiceConstructionException(String msg, Logger log, Throwable cause)